
\chapter{Introduction}

This manual is intended for a user to learn how to use \emph{Somewhere2}. 

\section{What do Somewhere do ?}
Somewhere is a peer-to-peer propositional inference system. Each peer contains a local
propositional knowledge base (the {\em propositional instance}) and a set of
propositional clauses called {\em mappings} which can contains literals of other peers. \\
The other peers do not have access to the local knowledge base of a particular peer. \\
You can use Somewhere to do a query to a peer, which will be performed by using 
consequence finding algorithms on the local knowledge base, and by forwarding
sub-queries to neighbours peers if one of their literal is involved with the computation.

\section{History}
There were several versions of Somewhere before \emph{Somewhere2} :
\begin{description}
	\item[Somewhere-adjiman] This is the original Somewhere. \\
		It was written by Philippe Adjiman.
		This Somewhere used java sockets for communicating with others peers. \\
		There were two programs : one which contained the knowledge base of a peer (somewhere),
		and one used to ask queries on a somewhere p2p network (the answer manager). \\
		Peers knowledge are imported through simple text files.
	\item[Somewhere-ghn] This is an improved version of Somewhere-adjiman where
		there is a support for inconsistencies detection.
	\item[SomewherePlusJXTA] This is an improved version of Somewhere-adjiman where
		the program uses the JXTA P2P framework in place of the java sockets for
		communicating with others peers. There is also a new configuration format
		in XML.
	\item[Somewhere2] This is a complete rewriting of the original Somewhere application.
\end{description}

\section{Contacting the authors}
The main developers for \emph{Somewhere2} were André Fonseca, Leo Cazenille and Philippe Chatalic. He can be contacted
though these email addresses : \\

\begin{itemize}
	\item \url{andre.amorimfonseca@gmail.com}
 	\item \url{leo.cazenille@gmail.com}
 	\item \url{philippe.chatalic@lri.fr}
\end{itemize}

\section{License}
\emph{Somewhere2} is licensed under the CeCILL-C Free Software License Agreement.

\section{Plan}
The first chapters contains a detailed reference guide. \\
The 6th chapter contains how-tos, tutorials and examples.

